31 Jul 2010

Error message

  • Warning: Invalid argument supplied for foreach() in nitobe_css_reorder() (line 90 of /home/rstlv/public_html/admin.alfalinks.lv/sites/all/themes/nitobe2/nitobe_960.inc).
  • Warning: Invalid argument supplied for foreach() in nitobe_css_reorder() (line 90 of /home/rstlv/public_html/admin.alfalinks.lv/sites/all/themes/nitobe2/nitobe_960.inc).
  • Warning: uasort(): Array was modified by the user comparison function in drupal_get_css() (line 2930 of /home/rstlv/public_html/admin.alfalinks.lv/includes/common.inc).
  • Warning: ksort() expects parameter 1 to be array, null given in drupal_group_css() (line 3048 of /home/rstlv/public_html/admin.alfalinks.lv/includes/common.inc).
  • Warning: ksort() expects parameter 1 to be array, null given in drupal_group_css() (line 3048 of /home/rstlv/public_html/admin.alfalinks.lv/includes/common.inc).
  • Warning: ksort() expects parameter 1 to be array, null given in drupal_group_css() (line 3048 of /home/rstlv/public_html/admin.alfalinks.lv/includes/common.inc).
Опубликовано shroman

Some intro about fsprotect:
set of scripts to transparently mount a RAM fs over the readonly root file system to protect the flash storage. (the idea is not to write anything to the flash disk while system is running, this utility protects your system from fs corruption after unexpected power downs.)

For now anyone trying to install fsprotect on Ubuntu 10.04 are stumbled with incomplete package fsprotect 1.0.4, which requires aufs-tools, but aufs-tools package is deprecated in latest Ubuntu releases.

Done some googling and found that fsprotect 1.0.5 is fully compatible with latest Lucid release, but for some reason is not included in the universe repo.

Fsprotect homepage has version 1.0.5 available for download in debian package source format fsprotect.dsc + tar.gz archive.

So the question for an Ubuntu user might be, how to install all that.

Well it’s a simple task:

  1. wget http://ftp.de.debian.org/debian/pool/main/f/fsprotect/fsprotect_1.0.5.dsc
  2. wget http://ftp.de.debian.org/debian/pool/main/f/fsprotect/fsprotect_1.0.5.tar.gz
  3. #> dpkg-source –I fsprotect_1.0.5.dsc
    #this will show you some errors, but will extract required files in the directry fsprotect-1.0.5
  4. enter directory: 
    #> cd fsprotect-1.0.5
  5. Build deb package for installation
    #> dpkg-buildpackage –b
    #this command will create .deb package in ../
  6. Now install it
    #> dpkg -i fsprotect_1.0.5_all.deb
  7. Now after successful installation you should add some options in your grub.cfg to enable fsprotect by aufs
    add this option to the desired kernel:  fsprotect=1G  (for 1GB flash drive)
  8. Don’t forget to run: update-grub after changing grub.cfg!

 

Links:

http://www.v13.gr/index.php?nocache=0&m=vsite-proj&proj=fsprotect&page=info

http://packages.debian.org/unstable/admin/fsprotect